### File

`packages/core/src/lib/services/eui-theme.service.ts`

### Index

###### Methods

- isCompact
- isDark
- isDefault
- isDs2025
- isEclEc
- isEclEcRtl
- isEclEu
- isEclEuRtl
- isEuiLegacy
- isEuiLegacyHc
- setActiveTheme

###### Accessors

- state$
- state

### Constructor

`constructor()`

### Methods

isCompact
`isCompact()`
Returns : `boolean`

isDark
`isDark()`
Returns : `boolean`

isDefault
`isDefault()`
Returns : `boolean`

isDs2025
`isDs2025()`
Returns : `boolean`

isEclEc
`isEclEc()`
Returns : `boolean`

isEclEcRtl
`isEclEcRtl()`
Returns : `boolean`

isEclEu
`isEclEu()`
Returns : `boolean`

isEclEuRtl
`isEclEuRtl()`
Returns : `boolean`

isEuiLegacy
`isEuiLegacy()`
Returns : `boolean`

isEuiLegacyHc
`isEuiLegacyHc()`
Returns : `boolean`

setActiveTheme
`setActiveTheme(theme: EuiTheme, isActive: boolean)`

Parameters :

Name | Type | Optional
theme | `EuiTheme` | No
isActive | `boolean` | No

Returns : `void`

### Accessors

state$
get `state$()`

state
get `state()`

# results matching ""

# No results matching ""